MWAWEmbeddedObject Struct Reference documentation

MWAWEmbeddedObject Struct Reference

small class use to define a embedded object More...

`#include <libmwaw_internal.hxx>`

## Public Member Functions
| MWAWEmbeddedObject ()
| empty constructor
| MWAWEmbeddedObject (librevenge::RVNGBinaryData const &binaryData, std::string const &type="image/pict")
| constructor
| MWAWEmbeddedObject (MWAWEmbeddedObject const &)=default
MWAWEmbeddedObject & | operator= (MWAWEmbeddedObject const &)=default
MWAWEmbeddedObject & | operator= (MWAWEmbeddedObject &&)=default
| ~MWAWEmbeddedObject ()
| destructor
bool | isEmpty () const
| return true if the picture contains no data
void | add (librevenge::RVNGBinaryData const &binaryData, std::string const &type="image/pict")
| add a picture
bool | addTo (librevenge::RVNGPropertyList &propList) const
| add the link property to proplist
int | cmp (MWAWEmbeddedObject const &pict) const
| a comparison function

## Public Attributes
std::vector< librevenge::RVNGBinaryData > | m_dataList
| the picture content: one data by representation
std::vector< std::string > | m_typeList
| the picture type: one type by representation

## Friends
std::ostream & | operator<< (std::ostream &o, MWAWEmbeddedObject const &pict)
| operator<<

## Detailed Description

small class use to define a embedded object

Note
  mainly used to store picture

## Constructor & Destructor Documentation

## ◆ MWAWEmbeddedObject() [1/3]

MWAWEmbeddedObject::MWAWEmbeddedObject | ( |  | ) |
| inline

empty constructor

Referenced by cmp(), MWAWEmbeddedObject(), operator<<, operator=(), and operator=().

## ◆ MWAWEmbeddedObject() [2/3]

MWAWEmbeddedObject::MWAWEmbeddedObject | ( | librevenge::RVNGBinaryData const & | binaryData,
|  | std::string const & | type = "image/pict" )
| inlineexplicit

constructor

## ◆ MWAWEmbeddedObject() [3/3]

MWAWEmbeddedObject::MWAWEmbeddedObject | ( | MWAWEmbeddedObject const & |  | ) |
| default

## ◆ ~MWAWEmbeddedObject()

MWAWEmbeddedObject::~MWAWEmbeddedObject | ( |  | ) |

destructor

## Member Function Documentation

## ◆ add()

void MWAWEmbeddedObject::add | ( | librevenge::RVNGBinaryData const & | binaryData,
|  | std::string const & | type = "image/pict" )
| inline

add a picture

Referenced by MWAWEmbeddedObject(), PowerPoint1Parser::readPicture(), and PowerPoint3Parser::readPictureContent().

## ◆ addTo()

bool MWAWEmbeddedObject::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add the link property to proplist

Referenced by MWAWGraphicListener::insertPicture(), MWAWPresentationListener::insertPicture(), MWAWSpreadsheetListener::insertPicture(), MWAWTextListener::insertPicture(), and MWAWTextListener::insertShape().

## ◆ cmp()

int MWAWEmbeddedObject::cmp | ( | MWAWEmbeddedObject const & | pict | ) | const

a comparison function

## ◆ isEmpty()

bool MWAWEmbeddedObject::isEmpty | ( |  | ) | const
| inline

return true if the picture contains no data

Referenced by operator<<, MWAWGraphicStyle::Pattern::operator<<, PowerPoint3Parser::readPictureDefinition(), CorelPainterParser::readResource(), ApplePictParser::readZone(), PowerPoint1Parser::sendPicture(), JazzWriterParser::sendPLC(), and Canvas5StyleManager::updateSurfaceColor().

## ◆ operator=() [1/2]

MWAWEmbeddedObject & MWAWEmbeddedObject::operator= | ( | MWAWEmbeddedObject && |  | ) |
| default

## ◆ operator=() [2/2]

MWAWEmbeddedObject & MWAWEmbeddedObject::operator= | ( | MWAWEmbeddedObject const & |  | ) |
| default

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | MWAWEmbeddedObject const & | pict )
| friend

operator<<

## Member Data Documentation

## ◆ m_dataList

std::vector<librevenge::RVNGBinaryData> MWAWEmbeddedObject::m_dataList

the picture content: one data by representation

Referenced by add(), addTo(), MWAWGraphicStyle::addTo(), cmp(), ApplePictParser::drawBitmap(), ApplePictParser::drawPixmap(), MacDraft5StyleManager::getBitmap(), MacDraft5StyleManager::getPixmap(), isEmpty(), MWAWEmbeddedObject(), MWAWEmbeddedObject(), CanvasGraph::readFileBitmap(), MacWrtParser::readGraphic(), Canvas5Structure::readPreview(), CorelPainterParser::readResource(), Canvas5Image::readVKFL(), libmwaw_applepict1::Bitmap::saveBitmap(), ReadySetGoGraph::send(), CorelPainterParser::sendBitmap(), MacDraftParser::sendBitmap(), MacDrawParser::sendBitmap(), MacDrawProParser::sendBitmap(), and SpringBoardParser::sendFrame().

## ◆ m_typeList

std::vector<std::string> MWAWEmbeddedObject::m_typeList

the picture type: one type by representation

Referenced by add(), addTo(), MWAWGraphicStyle::addTo(), cmp(), MWAWEmbeddedObject(), MWAWEmbeddedObject(), operator<<, and ReadySetGoGraph::send().

The documentation for this struct was generated from the following files:

- libmwaw_internal.hxx
- libmwaw_internal.cxx